Skip to main content
POST
Create a new resource

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Body

application/json
resourceType
enum<string>
required

Type of LLM resource

Available options:
completion,
file,
vector_store,
conversation,
response,
skill
resourceId
string
required

Unique identifier for the resource

Required string length: 1 - 79
overwrite
boolean
default:false

Whether an existing owner should replace direct relationships for the resource

Response

Resource created successfully

The response is of type any.